## org.apache.fop.dom.svg
Class SVGStopElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.SVGStopElementImpl

public class SVGStopElementImpl
extends SVGElementImpl
implements org.w3c.dom.svg.SVGStopElement

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SVGStopElementImpl()`

Method Summary
`org.w3c.dom.svg.SVGAnimatedNumber` `getOffset()`
`void` `setOffset(org.w3c.dom.svg.SVGAnimatedNumber offset)`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getExternalResourcesRequired, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setExternalResourcesRequired, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGStopElementImpl

    public SVGStopElementImpl()

Method Detail

### getOffset

    public org.w3c.dom.svg.SVGAnimatedNumber getOffset()

  Specified by:
    getOffset in interface org.w3c.dom.svg.SVGStopElement

### setOffset

    public void setOffset(org.w3c.dom.svg.SVGAnimatedNumber offset)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.